Subject: mailing list

From: Maki Ueda <[email-masked]>
Date: Mon, 09 Dec 1996 14:56:59 +0900

Please add me to the mailing list. 
 I was at the conference of Univ of U.N. which was held in Tokyo
 the other day and got interested in the philosophy of permaculture.

  			    M a k i   U E D A
     Senior of Enviornmental Information Dept., Keio University, Japan
     Always welcome your e-mail! Mail to >>>>> [email-masked]
     World Wide Web URL >>>>>>>>> http://www.sfc.keio.ac.jp/~t93054mu/